For the complete documentation index, see llms.txt. This page is also available as Markdown.

Homes

Scrape Airbnb property listings by ID.

The airbnb_product source is designed to retrieve Airbnb property listing pages. The API returns the HTML for any Airbnb property you like.

Request samples

The samples below illustrate how you can get a rendered Airbnb property page. You can extract the ID from the URL, for example: airbnb.com/rooms/11984394.

curl 'https://realtime.oxylabs.io/v1/queries' \
--user 'USERNAME:PASSWORD' \
-H 'Content-Type: application/json' \
-d '{
        "source": "airbnb_product",
        "product_id": "11984394",
        "render": "html"
    }'
import requests
from pprint import pprint


# Structure payload.
payload = {
    'source': 'airbnb_product',
    'product_id': '11984394',
    'render': 'html'
}

# Get response.
response = requests.request(
    'POST',
    'https://realtime.oxylabs.io/v1/queries',
    auth=('USERNAME', 'PASSWORD'),
    json=payload
)

# Instead of response with job status and results url, this will return the
# JSON response with the result.
pprint(response.json())

We use synchronous Realtime integration method in our examples. If you would like to use Proxy Endpoint or asynchronous Push-Pull integration, refer to the integration methods section.

Request parameter values

Generic

Parameter
Description
Default Value

source

Sets the scraper.

airbnb_product

product_id

The unique numerical ID for an Airbnb property listing.

-

render

Enables JavaScript rendering when set to html. More info.

-

callback_url

URL to your callback endpoint. More info

-

user_agent_type

Device type and browser. The full list can be found here.

desktop

- mandatory parameter

Localization

Adapt results to specific domains.

Parameter
Description
Default Value
Type

domain

Domain localization for Airbnb. Accepts any official Airbnb domain (e.g., co.uk, mx).

com

String

Last updated

Was this helpful?